Support » Plugins and Hacks » wp 3.2 update – Events manager fatal error

  • Just upgraded to wp 3.2 and received fatal error on a plug in and a widget:

    Here is my fatal error code. I’m fairly new to wordpress, but understand enough to make it work. Help would be appreciated. Right now I can’t access my wp admin to look at it. So I’m assuming I need to go in through FTP.

    Error Code: php_code_error:1:/home/content/x/s/i/xsinowfactory/html/wp-content/plugins/events-manager/classes/em-person.php:24:Call to undefined method WP_User::WP_User()
    Message: A fatal code error occurred.

    If you are unable to fix this problem, please copy all the text on this screen and send it to support@ithemes.com.

    Debug Data:
    Array
    (
    [0] => Array
    (
    [file] => /home/content/x/s/i/xsinowfactory/html/wp-content/plugins/tabber-widget/lib/classes/it-error.php
    [line] => 123
    [function] => fatal
    [class] => ITError
    [type] => ::
    [args] => Array
    (
    [0] => php_code_error:1:/home/content/x/s/i/xsinowfactory/html/wp-content/plugins/events-manager/classes/em-person.php:24:Call to undefined method WP_User::WP_User()
    [1] => A fatal code error occurred.
    )

    )

    [1] => Array
    (
    [file] => /home/content/x/s/i/xsinowfactory/html/wp-content/plugins/tabber-widget/lib/classes/it-error.php
    [line] => 150
    [function] => handle_error
    [class] => ITError
    [type] => ::
    [args] => Array
    (
    [0] => 1
    [1] => Call to undefined method WP_User::WP_User()
    [2] => /home/content/x/s/i/xsinowfactory/html/wp-content/plugins/events-manager/classes/em-person.php
    [3] => 24
    )

    )

    [2] => Array
    (
    [function] => it_error_shutdown
    [args] => Array
    (
    )

    )

    )

Viewing 9 replies - 1 through 9 (of 9 total)
  • Marcus

    (@netweblogic)

    what version of php are you using. have you tried this with plugins/themes disabled?

    I can’t access my wp admin section because of the error, to see what version of php I am using. Reading a few other posts and forums, it appears that I may need to go into my files via FTP and delete the plug-in files, then go into wp and reinstall the newer versions that are not in conflict with wp 3.2.

    hi,

    instead of going to the ftp to delete plugin files why not delete [option_value] field with the [option_name = active_plugins] (TABLE IS wp_options) this will deactivated all your plugin then you just have to activate EM to test the conflict between your other plugins or theme.

    be sure to backup first.

    This happened to me last week. If you have a backup, restore the backup first, then update Events Manager, then upgrade WordPress. Unless you did it in this order already – in that case, yes, FTP into your existing file.

    I’m sorry but Im new to all of this and I have the same issue.
    I upgraded my plugins that we asking for upgrades (Events Manager was NOT one of them). Then i upgraded to newest version of WP.
    After this, I got the same error as above.
    I FTP’d into my site and changed the plugin folder name to events-manager_foo. Now I can log into my site.
    The question is, What do I do next to fix all of this mess?
    I didn’t build my site so I’m stuck.
    Thanks so much!
    Anya

    You need to go into your wp-admin site of wordpress, then to the add plug in section and re-upload the events manager file, then activate it.

    Marcus

    (@netweblogic)

    you all must have soemthing in common to create this error, probably a common plugin or (judging by the first error) an ithemes theme?

    Must be ithemes. I have an ithemes them as well.

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘wp 3.2 update – Events manager fatal error’ is closed to new replies.